Subject: Re: wu-ftpd: anonymous users logged off after password

From: "Paul Taylor" <[email-masked]>
Date: Tue, 5 Nov 1996 08:39:07 +0000

> >Using wu-ftpd 2.4 beta 11 on Linux 1.2.13
> >
> >The problem is as follows :-
> >What actualy happens is that the connection is dropped directly after 
> >entering a password. Occasionaly I manage to see the first few lines 
> >of the welcome message. Real users can login perfectly on the same 
> >link !
> 
> >There is nothing to bar any system from accessing the system in 
> >any of the /etc/ftp* files, and the wu-ftpd program is compiled with 
> >the RFC931 set to 0 in the authentification.h file.
> >I started to look at tcpd, the wrapper for wu-ftpd. After speaking to 
> >one of the source maintainers he explained that could not be causing 
> >the problem as it would disconnect all users, not just anaonymous 
> >ones.
> 
> Does this happen for all anonymous FTP's, even local
> connections {suspect FTP environment}? Or, only 
> for some external users {suspect security environment}? 

No, occasional users trying to anonymously login, which have been 
identified to be on dialup. I doubt that this has anything to do with 
it though.
 
> Check that the FTP user's home directory set up as specified
> in the man page for ftpd.

This is ok. As I said some users can login anonymously, come not.
 
> You need a good chroot environment.. and chroot.
> Possibly the login succeeds, then the fails as ftpd trys to 
> chroot to the ftp-user's home directory. 

Yes, but why does this operate perfectly for some anonymous users and 
not for some other anonymous users ?

Thanks for the reply.
Paul
 
________________________________________________________
N e t C u l t u r e   -  Web Hosting
Web: www.NetCulture.net  -  Email: [email-masked]
Tel: +33 1 45 22 00 02   -  Fax: +33 1 45 22 00 52
1 rue Lemercier, 75017 Paris, France